dialog {
    background-color: transparent;
    border: none;
    margin: 0;
    padding: 0;
}

.dialog {
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;

    display: block;
    padding: 2rem;
    margin: auto;

    background-color: rgb(255, 255, 255);
    box-shadow: 0px 1rem 7rem rgba(0, 0, 0, 0.48);
	transition: background-color 0.3s, box-shadow 0.6s, transform 0.3s, opacity 0.1s;
}

.dialog:not([open]) {
    box-shadow: 0px 0rem 0rem rgba(0, 0, 0, 0);
    opacity: 0;
    transform: scale(0);
}

.dialog::backdrop {
    display: block;
    background-color: rgba(255, 255, 255, 0.55);
	transition: background-color 1s;
}

.dialog:not([open])::backdrop {
    background-color: rgba(255, 255, 255, 0);
}

.dialog__heading {
    margin-bottom:  2rem;
}

.dialog__actions {
    display: flex;
    flex-direction: row;
    justify-content: center;
    margin-top:  2rem;
}

.dialog__actions .button + .button {
    margin-left: 1rem;
}